function BT=block_tridiag(A,B,C)
%
% generates a block-tridiagonal n^2xn^2 matrix  
%
%      |B C 0
%   BT=|A B C 0
%      |0 A B C 0
%
% where A,B,C are nxn matrices

   n=max(size(A));
   %BT=zeros(n^2,n^2);
    BT=speye(n^2,n^2);
   
   BT(1:n,1:n)   =B; 
   BT(1:n,n+1:2*n)=C;
   for j=1:n-2
      BT(j*n+1:(j+1)*n,(j-1)*n+1:j*n)    =A; 
	  BT(j*n+1:(j+1)*n,j*n+1:(j+1)*n)    =B; 
	  BT(j*n+1:(j+1)*n,(j+1)*n+1:(j+2)*n)=C;
   end
   BT((n-1)*n+1:n*n,(n-2)*n+1:(n-1)*n)=A; 
   BT((n-1)*n+1:n*n,(n-1)*n+1:n*n)    =B;
   
return;
